aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--VIRL_RELEASE_UBUNTU2
-rwxr-xr-xbootstrap.sh8
2 files changed, 7 insertions, 3 deletions
diff --git a/VIRL_RELEASE_UBUNTU b/VIRL_RELEASE_UBUNTU
index 8f24b73b85..ecd6667125 100644
--- a/VIRL_RELEASE_UBUNTU
+++ b/VIRL_RELEASE_UBUNTU
@@ -1 +1 @@
-csit-ubuntu-16.04.1_2017-10-21_2.0
+csit-ubuntu-16.04.1_2018-03-07_2.1 \ No newline at end of file
diff --git a/bootstrap.sh b/bootstrap.sh
index 189ec6f3cc..809fd53177 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -348,9 +348,9 @@ function run_test_set() {
--output ${LOG_PATH}/log_test_set_run${nr} \
tests/
- local_run_rc=$?
- echo ${local_run_rc} > ${SHARED_MEMORY_PATH}/rc_test_run${nr}
+ local local_run_rc=$?
set -x
+ echo ${local_run_rc} > ${SHARED_MEMORY_PATH}/rc_test_run${nr}
}
set +x
@@ -397,6 +397,10 @@ for index in "${!VIRL_SERVER[@]}"; do
echo "Test_set${index} log:"
cat ${LOG_PATH}/test_run${index}.log
RC_PARTIAL_RUN=$(cat ${SHARED_MEMORY_PATH}/rc_test_run${index})
+ if [ -z "$RC_PARTIAL_RUN" ]; then
+ echo "Failed to retrieve return code from test run ${index}"
+ exit 1
+ fi
RC=$((RC+RC_PARTIAL_RUN))
rm -f ${SHARED_MEMORY_PATH}/rc_test_run${index}
rm -f ${LOG_PATH}/test_run${index}.log